%define module	Socket6
%define version 0.19
%define release	%mkrel 1

Summary:	IPv6 related part of the C socket.h defines and structure manipulators
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/U/UM/UMEMOTO/%{module}/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides glue routines to the various IPv6 functions.

If you use the Socket6 module, be sure to specify "use Socket" as
well as "use Socket6".

%prep

%setup -q -n %{module}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorarch}/auto/Socket6/Socket6.so
%{perl_vendorarch}/Socket6.pm

%changelog
* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdk
- New release 0.19
- fix source URL

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-1mdk
- 0.18
- Make rpmbuildupdate happy

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-2mdk
- rebuild for new perl

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.17-1mdk
- initial mandrake package
